--[[
========================================================================================================================================================================
Author:	SABLEROCK	
Description: Allows AI Tedder for all fruits in TypeCategory name="WINDROW" 
History:
    Created 24.06.2024

========================================================================================================================================================================
]]

new_tedder_onload = {}

function new_tedder_onLoad(self,savegame)

	local spec = {}
	local fillTypeCategory = "WINDROW"
	spec.supportedFillTypes = g_fillTypeManager:getFillTypesByCategoryNames(fillTypeCategory, "Warning: invalid fillTypeCategory '%s'.")

	if #spec.supportedFillTypes == 0 then
		table.insert(spec.supportedFillTypes, FillType.GRASS_WINDROW)
	end

	if self.addAIDensityHeightTypeRequirement ~= nil then
	  for _, fillTypeIndex in ipairs(spec.supportedFillTypes) do
		local fillTypeName = g_fillTypeManager:getFillTypeNameByIndex(fillTypeIndex)
		self:addAIDensityHeightTypeRequirement(fillTypeIndex)
		print(string.format("AI tedding added for: %s - %s", fillTypeIndex, fillTypeName))
		
	  end
	end

end

Tedder.onLoad = Utils.appendedFunction(Tedder.onLoad, new_tedder_onLoad)
